%define python_sitelib	%(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True)")
%define debug_package	%{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libwrc
Version:	20191221
Release:	1%{?dist}
Summary:	Library to access the Windows Resource Compiler (WRC) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libwrc/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool

%description
libwrc is a library to access the Windows Resource (RC) format

%package devel
Summary: Header files and libraries for developing applications for libwrc
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libwrc.

%package tools
Summary: Several tools for reading Windows Resource (RC) files
Group: Applications/System
Requires: %{name} = %{version}-%{release}  
  

%description tools
Several tools for reading Windows Resource (RC) files

%package python2
Summary: Python 2 bindings for libwrc
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libwrc
Sun May 19
%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libwrc
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libwrc
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/wrcinfo
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Jun 10 2019 Lawrence R. Rogers <lrr@cert.org> 20181203-4
* Release 20181203-4
	Version 20181203-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181203-3
* Release 20181203-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20181203-2
* Release 20181203-2
        Version as of 20181203
	-python packages renamed to -python2

* Mon Dec  3  2018 Lawrence R. Rogers <lrr@cert.org> 20181203-1
* Release 20181203-1
	Version from 20181203.

* Wed Jan 24 2018 Lawrence R. Rogers <lrr@cert.org> 20180124-1
* Release 20180124-1
	Version from 20180124.

* Sat Mar  4 2017 Lawrence R. Rogers <lrr@cert.org> 20170304-1
* Release 20170304-1
	Version from 20170304.

* Mon Oct 24 2016 Joachim Metz <joachim.metz@gmail.com> 20160419-1
- Auto-generated

